SystemOrganization addCategory: #'Versionner-Tests-Resources'!

TestResource subclass: #MBMonticelloPackagesResource
	instanceVariableNames: 'monticelloRepository'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Versionner-Tests-Resources'!

!MBMonticelloPackagesResource class methodsFor: 'accessing' stamp: 'dkh 3/10/2011 07:29'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!MBMonticelloPackagesResource class methodsFor: 'accessing' stamp: 'dkh 3/9/2011 17:18'!
project

	^self new project! !

!MBMonticelloPackagesResource class methodsFor: 'accessing' stamp: 'dkh 3/9/2011 17:17'!
projectAttributes

	^#()! !

!MBMonticelloPackagesResource methodsFor: 'ConfigurationOfMBFooTest' stamp: 'dkh 3/9/2011 18:51'!
baseline10MBFooTest: spec 
	"self reset"
	<version: '1.0-baseline'>
	
	spec for: #common do: [
		spec repository: 'dictionary://MB_Foo_Test_Repository'.
		spec blessing: #baseline.
		spec
			package: 'MBFooTests';
			yourself ].
! !

!MBMonticelloPackagesResource methodsFor: 'command tests' stamp: 'dkh 3/19/2011 14:28'!
baseline20MBFooTest: spec 
	"self reset"
	<version: '2.0-baseline'>
	
	spec for: #common do: [
		spec repository: 'dictionary://MB_Foo_Test_Repository'.
		spec blessing: #baseline.
		spec
			package: 'MBFooTests';
			yourself ].
! !

!MBMonticelloPackagesResource methodsFor: 'command tests' stamp: 'dkh 3/19/2011 14:41'!
baseline30MBFooTest: spec 
	"self reset"
	<version: '3.0-baseline'>
	
	spec for: #common do: [
		spec repository: 'dictionary://MB_Foo_Test_Repository'.
		spec blessing: #baseline.
		spec
			package: 'MBFooTests';
			yourself ].
! !

!MBMonticelloPackagesResource methodsFor: 'accessing' stamp: 'dkh 3/9/2011 16:56'!
monticelloRepository
	^ monticelloRepository! !

!MBMonticelloPackagesResource methodsFor: 'accessing' stamp: 'dkh 3/9/2011 17:39'!
project
	"self reset"

	| constructor project |
	"Construct Metacello project"
	project := MetacelloMCProject new.
	"Allow for customization of #projectAttributes"
	project projectAttributes: (Smalltalk at: #MBMonticelloPackagesResource) projectAttributes.
	MetacelloVersionConstructor on: self project: project.
	project loader: 
		((project loaderClass new)
			shouldDisablePackageCache: true;
			yourself).
	project loadType: #linear.
	^project
! !

!MBMonticelloPackagesResource methodsFor: 'running' stamp: 'dkh 4/17/2011 12:27'!
setUp
	"self reset"

	super setUp.
	self
		setUpMonticelloRepository;
		setUpPackagesMBFooTests;
		setUpConfigurationOfMBFooTest;
		setUpPackagesMBCommandFooTests;
		setUpConfigurationOfMBFooIssue117;
		setUpConfigurationOfMBBranchTest! !

!MBMonticelloPackagesResource methodsFor: 'ConfigurationOfMBBranchTest' stamp: 'dkh 4/17/2011 12:26'!
setUpConfigurationOfMBBranchTest
	"self reset"  
	| versionInfo |
	versionInfo := self setUpConfigurationOfMBBranchTest1.
	versionInfo := self setUpConfigurationOfMBBranchTest2: { versionInfo }.
! !

!MBMonticelloPackagesResource methodsFor: 'ConfigurationOfMBBranchTest' stamp: 'dkh 4/17/2011 12:52'!
setUpConfigurationOfMBBranchTest1
	"self reset"
	| reference className definitionArray versionInfo  |
	reference := GoferVersionReference name: 'ConfigurationOfMBBranchTests-dkh.1'.
	className := reference packageName asSymbol.
	definitionArray := {
					MCClassDefinition name: className superclassName: #Object category: className instVarNames: #() comment: ''.
					MCMethodDefinition 
						className: className asString
						classIsMeta: true
						selector: 'isMetacelloConfig'
						category: 'cat'
						timeStamp: ''
						source: (self class class sourceCodeAt: #isMetacelloConfig) asString.
					MCMethodDefinition 
						className: className asString
						classIsMeta: true
						selector: 'project'
						category: 'cat'
						timeStamp: ''
						source: (self class class sourceCodeAt: #project) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'project'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #project) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'symbolicVersionDevelopmentNotDefinedMBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #symbolicVersionDevelopmentNotDefinedMBFooTest:) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'baseline10MBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #baseline10MBFooTest:) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'version10MBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #version10MBFooTest:) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'symbolicVersionStable10MBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #symbolicVersionStable10MBFooTest:) asString.
				}.
	monticelloRepository basicStoreVersion: (MCVersion new
		setPackage:  (MCPackage new name: reference packageName)
		info: (versionInfo := MCVersionInfo
				name: reference name
				id: UUID new
				message: 'This is a mock version'
				date: Date today
				time: Time now
				author: reference author
				ancestors: #())
		snapshot: (MCSnapshot fromDefinitions: definitionArray)
		dependencies: #()).
	^versionInfo! !

!MBMonticelloPackagesResource methodsFor: 'ConfigurationOfMBBranchTest' stamp: 'dkh 4/17/2011 12:43'!
setUpConfigurationOfMBBranchTest2: ancestors
	"self reset"
	| reference className definitionArray versionInfo  |
	reference := GoferVersionReference name: 'ConfigurationOfMBBranchTests.branch-dkh.2'.
	className := reference packageName asSymbol.
	definitionArray := {
					MCClassDefinition name: className superclassName: #Object category: className instVarNames: #() comment: ''.
					MCMethodDefinition 
						className: className asString
						classIsMeta: true
						selector: 'isMetacelloConfig'
						category: 'cat'
						timeStamp: ''
						source: (self class class sourceCodeAt: #isMetacelloConfig) asString.
					MCMethodDefinition 
						className: className asString
						classIsMeta: true
						selector: 'project'
						category: 'cat'
						timeStamp: ''
						source: (self class class sourceCodeAt: #project) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'project'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #project) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'symbolicVersionDevelopmentNotDefinedMBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #symbolicVersionDevelopmentNotDefinedMBFooTest:) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'baseline10MBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #baseline10MBFooTest:) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'version10MBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #version10MBFooTest:) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'version11MBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #version11MBFooTest:) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'symbolicVersionStable11MBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #symbolicVersionStable11MBFooTest:) asString.
				}.
	monticelloRepository basicStoreVersion: (MCVersion new
		setPackage:  (MCPackage new name: reference packageName)
		info: (versionInfo := MCVersionInfo
				name: reference name
				id: UUID new
				message: 'This is a mock version'
				date: Date today
				time: Time now
				author: reference author
				ancestors: ancestors)
		snapshot: (MCSnapshot fromDefinitions: definitionArray)
		dependencies: #()).
	^versionInfo! !

!MBMonticelloPackagesResource methodsFor: 'command tests' stamp: 'dkh 3/23/2011 10:43'!
setUpConfigurationOfMBFooIssue117

	"self reset"  
	| versionInfo |
	versionInfo := self setUpConfigurationOfMBFooIssue117dkh1: #().
	versionInfo := self setUpConfigurationOfMBFooIssue117dkh2: #().
	versionInfo := self setUpConfigurationOfMBFooIssue117dkh3: #().
! !

!MBMonticelloPackagesResource methodsFor: 'command tests' stamp: 'dkh 4/4/2011 11:23'!
setUpConfigurationOfMBFooIssue117dkh1: ancestors
	"self reset"
	| reference className definitionArray versionInfo  |
	reference := GoferVersionReference name: 'ConfigurationOfMBFooIssue117-dkh.1'.
	className := reference packageName asSymbol.
	definitionArray := {
					MCClassDefinition name: className superclassName: #Object category: className instVarNames: #() comment: ''.
					MCMethodDefinition 
						className: className asString
						classIsMeta: true
						selector: 'isMetacelloConfig'
						category: 'cat'
						timeStamp: ''
						source: (self class class sourceCodeAt: #isMetacelloConfig) asString.
					MCMethodDefinition 
						className: className asString
						classIsMeta: true
						selector: 'project'
						category: 'cat'
						timeStamp: ''
						source: (self class class sourceCodeAt: #project) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'project'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #project) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'symbolicVersionDevelopment10MBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #symbolicVersionDevelopment10MBFooTest:) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'baseline10MBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #baseline10MBFooTest:) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'version10MBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #version10MBFooTest:) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'version11MBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #version11MBFooTest:) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'symbolicVersionStable10MBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #symbolicVersionStable10MBFooTest:) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'version12MBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #version12MBFooTest:) asString.
				}.
	monticelloRepository basicStoreVersion: (MCVersion new
		setPackage:  (MCPackage new name: reference packageName)
		info: (versionInfo := MCVersionInfo
				name: reference name
				id: UUID new
				message: 'This is a mock version'
				date: Date today
				time: Time now
				author: reference author
				ancestors: ancestors)
		snapshot: (MCSnapshot fromDefinitions: definitionArray)
		dependencies: #()).
	^versionInfo! !

!MBMonticelloPackagesResource methodsFor: 'command tests' stamp: 'dkh 4/4/2011 11:23'!
setUpConfigurationOfMBFooIssue117dkh2: ancestors
	"self reset"
	| reference className definitionArray versionInfo  |
	reference := GoferVersionReference name: 'ConfigurationOfMBFooIssue117-dkh.2'.
	className := reference packageName asSymbol.
	definitionArray := {
					MCClassDefinition name: className superclassName: #Object category: className instVarNames: #() comment: ''.
					MCMethodDefinition 
						className: className asString
						classIsMeta: true
						selector: 'isMetacelloConfig'
						category: 'cat'
						timeStamp: ''
						source: (self class class sourceCodeAt: #isMetacelloConfig) asString.
					MCMethodDefinition 
						className: className asString
						classIsMeta: true
						selector: 'project'
						category: 'cat'
						timeStamp: ''
						source: (self class class sourceCodeAt: #project) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'project'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #project) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'symbolicVersionDevelopment10MBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #symbolicVersionDevelopment10MBFooTest:) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'baseline10MBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #baseline10MBFooTest:) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'baseline20MBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #baseline20MBFooTest:) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'version10MBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #version10MBFooTest:) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'version11MBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #version11MBFooTest:) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'symbolicVersionStable10MBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #symbolicVersionStable10MBFooTest:) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'version12MBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #version12MBFooTest:) asString.
				}.
	monticelloRepository basicStoreVersion: (MCVersion new
		setPackage:  (MCPackage new name: reference packageName)
		info: (versionInfo := MCVersionInfo
				name: reference name
				id: UUID new
				message: 'This is a mock version'
				date: Date today
				time: Time now
				author: reference author
				ancestors: ancestors)
		snapshot: (MCSnapshot fromDefinitions: definitionArray)
		dependencies: #()).
	^versionInfo! !

!MBMonticelloPackagesResource methodsFor: 'command tests' stamp: 'dkh 4/4/2011 11:23'!
setUpConfigurationOfMBFooIssue117dkh3: ancestors
	"self reset"
	| reference className definitionArray versionInfo  |
	reference := GoferVersionReference name: 'ConfigurationOfMBFooIssue117-dkh.3'.
	className := reference packageName asSymbol.
	definitionArray := {
					MCClassDefinition name: className superclassName: #Object category: className instVarNames: #() comment: ''.
					MCMethodDefinition 
						className: className asString
						classIsMeta: true
						selector: 'isMetacelloConfig'
						category: 'cat'
						timeStamp: ''
						source: (self class class sourceCodeAt: #isMetacelloConfig) asString.
					MCMethodDefinition 
						className: className asString
						classIsMeta: true
						selector: 'project'
						category: 'cat'
						timeStamp: ''
						source: (self class class sourceCodeAt: #project) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'project'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #project) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'symbolicVersionBleedingEdge20baselineMBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #symbolicVersionBleedingEdge20baselineMBFooTest:) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'baseline10MBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #baseline10MBFooTest:) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'symbolicVersionStable10MBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #symbolicVersionStable10MBFooTest:) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'baseline20MBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #baseline20MBFooTest:) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'baseline30MBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #baseline30MBFooTest:) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'version10MBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #version10MBFooTest:) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'version11MBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #version11MBFooTest:) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'symbolicVersionStable10MBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #symbolicVersionStable10MBFooTest:) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'version12MBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #version12MBFooTest:) asString.
				}.
	monticelloRepository basicStoreVersion: (MCVersion new
		setPackage:  (MCPackage new name: reference packageName)
		info: (versionInfo := MCVersionInfo
				name: reference name
				id: UUID new
				message: 'This is a mock version'
				date: Date today
				time: Time now
				author: reference author
				ancestors: ancestors)
		snapshot: (MCSnapshot fromDefinitions: definitionArray)
		dependencies: #()).
	^versionInfo! !

!MBMonticelloPackagesResource methodsFor: 'ConfigurationOfMBFooTest' stamp: 'dkh 3/10/2011 06:09'!
setUpConfigurationOfMBFooTest
	"self reset"  
	| versionInfo |
	versionInfo := self setUpConfigurationOfMBFooTest1.
	versionInfo := self setUpConfigurationOfMBFooTest2: { versionInfo }.
	versionInfo := self setUpConfigurationOfMBFooTest3: { versionInfo }.
! !

!MBMonticelloPackagesResource methodsFor: 'ConfigurationOfMBFooTest' stamp: 'dkh 4/4/2011 11:23'!
setUpConfigurationOfMBFooTest1
	"self reset"
	| reference className definitionArray versionInfo  |
	reference := GoferVersionReference name: 'ConfigurationOfMBFooTests-dkh.1'.
	className := reference packageName asSymbol.
	definitionArray := {
					MCClassDefinition name: className superclassName: #Object category: className instVarNames: #() comment: ''.
					MCMethodDefinition 
						className: className asString
						classIsMeta: true
						selector: 'isMetacelloConfig'
						category: 'cat'
						timeStamp: ''
						source: (self class class sourceCodeAt: #isMetacelloConfig) asString.
					MCMethodDefinition 
						className: className asString
						classIsMeta: true
						selector: 'project'
						category: 'cat'
						timeStamp: ''
						source: (self class class sourceCodeAt: #project) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'project'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #project) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'symbolicVersionDevelopmentNotDefinedMBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #symbolicVersionDevelopmentNotDefinedMBFooTest:) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'baseline10MBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #baseline10MBFooTest:) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'version10MBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #version10MBFooTest:) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'symbolicVersionStable10MBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #symbolicVersionStable10MBFooTest:) asString.
				}.
	monticelloRepository basicStoreVersion: (MCVersion new
		setPackage:  (MCPackage new name: reference packageName)
		info: (versionInfo := MCVersionInfo
				name: reference name
				id: UUID new
				message: 'This is a mock version'
				date: Date today
				time: Time now
				author: reference author
				ancestors: #())
		snapshot: (MCSnapshot fromDefinitions: definitionArray)
		dependencies: #()).
	^versionInfo! !

!MBMonticelloPackagesResource methodsFor: 'ConfigurationOfMBFooTest' stamp: 'dkh 4/4/2011 11:23'!
setUpConfigurationOfMBFooTest2: ancestors
	"self reset"
	| reference className definitionArray versionInfo  |
	reference := GoferVersionReference name: 'ConfigurationOfMBFooTests-dkh.2'.
	className := reference packageName asSymbol.
	definitionArray := {
					MCClassDefinition name: className superclassName: #Object category: className instVarNames: #() comment: ''.
					MCMethodDefinition 
						className: className asString
						classIsMeta: true
						selector: 'isMetacelloConfig'
						category: 'cat'
						timeStamp: ''
						source: (self class class sourceCodeAt: #isMetacelloConfig) asString.
					MCMethodDefinition 
						className: className asString
						classIsMeta: true
						selector: 'project'
						category: 'cat'
						timeStamp: ''
						source: (self class class sourceCodeAt: #project) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'project'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #project) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'symbolicVersionDevelopmentNotDefinedMBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #symbolicVersionDevelopmentNotDefinedMBFooTest:) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'baseline10MBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #baseline10MBFooTest:) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'version10MBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #version10MBFooTest:) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'version11MBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #version11MBFooTest:) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'symbolicVersionStable11MBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #symbolicVersionStable11MBFooTest:) asString.
				}.
	monticelloRepository basicStoreVersion: (MCVersion new
		setPackage:  (MCPackage new name: reference packageName)
		info: (versionInfo := MCVersionInfo
				name: reference name
				id: UUID new
				message: 'This is a mock version'
				date: Date today
				time: Time now
				author: reference author
				ancestors: ancestors)
		snapshot: (MCSnapshot fromDefinitions: definitionArray)
		dependencies: #()).
	^versionInfo! !

!MBMonticelloPackagesResource methodsFor: 'ConfigurationOfMBFooTest' stamp: 'dkh 4/4/2011 11:23'!
setUpConfigurationOfMBFooTest3: ancestors
	"self reset"
	| reference className definitionArray versionInfo  |
	reference := GoferVersionReference name: 'ConfigurationOfMBFooTests-dkh.3'.
	className := reference packageName asSymbol.
	definitionArray := {
					MCClassDefinition name: className superclassName: #Object category: className instVarNames: #() comment: ''.
					MCMethodDefinition 
						className: className asString
						classIsMeta: true
						selector: 'isMetacelloConfig'
						category: 'cat'
						timeStamp: ''
						source: (self class class sourceCodeAt: #isMetacelloConfig) asString.
					MCMethodDefinition 
						className: className asString
						classIsMeta: true
						selector: 'project'
						category: 'cat'
						timeStamp: ''
						source: (self class class sourceCodeAt: #project) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'project'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #project) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'symbolicVersionDevelopmentNotDefinedMBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #symbolicVersionDevelopmentNotDefinedMBFooTest:) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'baseline10MBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #baseline10MBFooTest:) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'version10MBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #version10MBFooTest:) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'version11MBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #version11MBFooTest:) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'symbolicVersionStable10MBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #symbolicVersionStable10MBFooTest:) asString.
					MCMethodDefinition 
						className: className asString
						selector: 'version12MBFooTest:'
						category: 'cat'
						timeStamp: ''
						source: (self class sourceCodeAt: #version12MBFooTest:) asString.
				}.
	monticelloRepository basicStoreVersion: (MCVersion new
		setPackage:  (MCPackage new name: reference packageName)
		info: (versionInfo := MCVersionInfo
				name: reference name
				id: UUID new
				message: 'This is a mock version'
				date: Date today
				time: Time now
				author: reference author
				ancestors: ancestors)
		snapshot: (MCSnapshot fromDefinitions: definitionArray)
		dependencies: #()).
	^versionInfo! !

!MBMonticelloPackagesResource methodsFor: 'running' stamp: 'dkh 3/9/2011 16:59'!
setUpMonticelloRepository
	"This method builds a fake repository with the version references from #buildReferences."
	"self reset"

	monticelloRepository := MCDictionaryRepository new.
! !

!MBMonticelloPackagesResource methodsFor: 'running' stamp: 'dkh 3/10/2011 05:55'!
setUpPackageClassDefs: classDefArray methodDefs: methodDefArray named: packageName ancestors: ancestors
	"self reset"
	
	| definitions superclassName className ivNames cvNames civNames versionInfo methodSelector methodSource basePackageName authorName |
	definitions := OrderedCollection new.
	basePackageName := packageName copyUpToLast: $-.
	authorName := (packageName copyAfterLast: $-) copyUpTo: $..
	1 to: classDefArray size by: 5 do: [:index |
		superclassName := (classDefArray at: index) asSymbol.
		className := (classDefArray at: index + 1) asSymbol.
		ivNames := (classDefArray at: index + 2).
		cvNames := (classDefArray at: index + 3).
		civNames := (classDefArray at: index + 4).
		definitions add: (MCClassDefinition 
			name: className 
			superclassName: superclassName 
			category: basePackageName 
			instVarNames: ivNames 
			classVarNames: cvNames
			poolDictionaryNames: #()
			classInstVarNames: civNames
			comment: '').
		(cvNames, ivNames) do: [:ivName | 
			definitions addAll: {
					MCMethodDefinition 
						className: className asString
						selector: ivName asSymbol
						category: 'cat'
						timeStamp: ''
						source: ivName, ' ^', ivName.
					MCMethodDefinition 
						className: className asString
						selector: (ivName, ':') asSymbol
						category: 'cat'
						timeStamp: ''
						source: ivName, ':  anObject ', ivName, ' := anObject'.
				} ].
		civNames do: [:ivName | 
			definitions addAll: {
					MCMethodDefinition 
						className: className asString
						selector: ivName asSymbol
						category: 'cat'
						timeStamp: ''
						source: ivName, ' ^self class ', ivName.
					MCMethodDefinition 
						className: className asString
						selector: (ivName, ':') asSymbol
						category: 'cat'
						timeStamp: ''
						source: ivName, ':  anObject self class ', ivName, ': anObject'.
					MCMethodDefinition 
						className: className asString
						classIsMeta: true
						selector: ivName asSymbol
						category: 'cat'
						timeStamp: ''
						source: ivName, ' ^', ivName.
					MCMethodDefinition 
						className: className asString
						classIsMeta: true
						selector: (ivName, ':') asSymbol
						category: 'cat'
						timeStamp: ''
						source: ivName, ':  anObject ', ivName, ' := anObject'.
				} ].
		ivNames do: [:ivName|
			definitions add: 
					(MCMethodDefinition 
						className: className asString
						selector: #sampleValue
						category: 'cat'
						timeStamp: ''
						source: 'sampleValue ^#''', ivName, '''') ].
		].
	1 to: methodDefArray size by: 3 do: [:index |
		className := (methodDefArray at: index) asSymbol.
		methodSelector := (methodDefArray at: index + 1) asSymbol.
		methodSource := (methodDefArray at: index + 2).
		definitions add: 
					(MCMethodDefinition 
						className: className asString
						selector: methodSelector
						category: ('*', packageName) asString
						timeStamp: ''
						source: methodSource).
		].
	monticelloRepository basicStoreVersion: (MCVersion new
		setPackage:  (MCPackage new name: basePackageName)
		info: (versionInfo := MCVersionInfo
				name: packageName
				id: UUID new
				message: 'This is a mock version'
				date: Date today
				time: Time now
				author: authorName
				ancestors: ancestors)
		snapshot: (MCSnapshot fromDefinitions: definitions asArray)
		dependencies: #()).
	^versionInfo
! !

!MBMonticelloPackagesResource methodsFor: 'running' stamp: 'dkh 3/9/2011 16:56'!
setUpPackageClassDefs: classDefArray named: pName ancestors: ancestors
	"self reset"
	
	^self setUpPackageClassDefs: classDefArray methodDefs: #() named: pName ancestors: ancestors
! !

!MBMonticelloPackagesResource methodsFor: 'command tests' stamp: 'dkh 3/19/2011 09:56'!
setUpPackagesMBCommandFooTests
	"self reset"
	
	self
		setUpPackageClassDefs: { #Object. #MBFooCommandTestA. #(). #(). #(). }
		methodDefs: #()
		named: 'MBFooCommandTestA-dkh.1'
		ancestors: #().
	self
		setUpPackageClassDefs: { #Object. #MBFooCommandTestB. #(). #(). #(). }
		methodDefs: #()
		named: 'MBFooCommandTestB-dkh.1'
		ancestors: #().
! !

!MBMonticelloPackagesResource methodsFor: 'ConfigurationOfMBFooTest' stamp: 'dkh 3/20/2011 10:09'!
setUpPackagesMBFooTests
	"self reset"
	
	| versionInfo |
	versionInfo := self
		setUpPackageClassDefs: { #Object. #MBFooTestA. #(). #(). #(). }
		methodDefs: #()
		named: 'MBFooTests-dkh.1'
		ancestors: #().
	versionInfo := self 
		setUpPackageClassDefs: { #Object. #MBFooTestA. #(). #(). #(). }
		methodDefs: #()
		named: 'MBFooTests-dkh.2'
		ancestors: {versionInfo} .
	versionInfo := self 
		setUpPackageClassDefs: { #Object. #MBFooTestA. #(). #(). #(). }
		methodDefs: #(MBFooTestA foo 'foo ^self')
		named: 'MBFooTests-dkh.3'
		ancestors: {versionInfo} .
	versionInfo := self 
		setUpPackageClassDefs: { #Object. #MBFooTestA. #(). #(). #(). }
		methodDefs: #()
		named: 'MBFooTests-dkh.4'
		ancestors: {versionInfo} .
! !

!MBMonticelloPackagesResource methodsFor: 'command tests' stamp: 'dkh 3/19/2011 14:40'!
symbolicVersionBleedingEdge20baselineMBFooTest: spec
	"self reset"
	<symbolicVersion: #'bleedingEdge'>

	spec for: #'common' version: '2.0-baseline'.! !

!MBMonticelloPackagesResource methodsFor: 'command tests' stamp: 'dkh 3/19/2011 10:32'!
symbolicVersionDevelopment10MBFooTest: spec
	"self reset"
	<symbolicVersion: #'development'>

	spec for: #'common' version: '1.0'.! !

!MBMonticelloPackagesResource methodsFor: 'ConfigurationOfMBFooTest' stamp: 'dkh 3/10/2011 05:41'!
symbolicVersionDevelopmentNotDefinedMBFooTest: spec
	"self reset"
	<symbolicVersion: #'development'>

	spec for: #'common' version: #'notDefined'.! !

!MBMonticelloPackagesResource methodsFor: 'ConfigurationOfMBFooTest' stamp: 'dkh 3/10/2011 05:40'!
symbolicVersionStable10MBFooTest: spec
	"self reset"
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '1.0'.! !

!MBMonticelloPackagesResource methodsFor: 'ConfigurationOfMBFooTest' stamp: 'dkh 3/10/2011 05:40'!
symbolicVersionStable11MBFooTest: spec
	"self reset"
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '1.1'.! !

!MBMonticelloPackagesResource methodsFor: 'ConfigurationOfMBFooTest' stamp: 'dkh 3/9/2011 18:51'!
version10MBFooTest: spec
	"self reset"
	<version: '1.0' imports: #('1.0-baseline')>

	spec for: #'common' do: [
		spec blessing: #release.
		spec package: 'MBFooTests' with: 'MBFooTests-dkh.1'
].
! !

!MBMonticelloPackagesResource methodsFor: 'ConfigurationOfMBFooTest' stamp: 'dkh 3/9/2011 23:16'!
version11MBFooTest: spec
	"self reset"
	<version: '1.1' imports: #('1.0-baseline')>

	spec for: #'common' do: [
		spec blessing: #release.
		spec package: 'MBFooTests' with: 'MBFooTests-dkh.2'
].
! !

!MBMonticelloPackagesResource methodsFor: 'ConfigurationOfMBFooTest' stamp: 'dkh 3/10/2011 06:06'!
version12MBFooTest: spec
	"self reset"
	<version: '1.2' imports: #('1.0-baseline')>

	spec for: #'common' do: [
		spec blessing: #release.
		spec package: 'MBFooTests' with: 'MBFooTests-dkh.3'
].
! !
